Loading...
Searching...
No Matches
psa_key_attributes_s Struct Reference

`#include <crypto_struct.h>`

Collaboration diagram for psa_key_attributes_s:
[legend]

## Data Fields

psa_key_type_t | private_type
psa_key_bits_t | private_bits
psa_key_lifetime_t | private_lifetime
psa_key_policy_t | private_policy
mbedtls_svc_key_id_t | private_id

## Detailed Description

Definition at line 295 of file crypto_struct.h.

## Field Documentation

## private_bits

psa_key_bits_t psa_key_attributes_s::private_bits

Definition at line 301 of file crypto_struct.h.

## private_id

mbedtls_svc_key_id_t psa_key_attributes_s::private_id

Definition at line 315 of file crypto_struct.h.

## private_lifetime

psa_key_lifetime_t psa_key_attributes_s::private_lifetime

Definition at line 302 of file crypto_struct.h.

## private_policy

psa_key_policy_t psa_key_attributes_s::private_policy

Definition at line 303 of file crypto_struct.h.

## private_type

psa_key_type_t psa_key_attributes_s::private_type

Definition at line 300 of file crypto_struct.h.

The documentation for this struct was generated from the following file:

- crypto_struct.h